<?php
/**
 * Clase Base Bean para BaseCrPlanillaConceptoBN
 *
 * @package    Sedapal
 * @subpackage BaseCrPlanillaConceptoBN
 * @author     Willy
 * @version    SVN:: BaseCrPlanillaConceptoBN.class.php,v 1.1 2014-03-12 10:45:01 william.taype Exp $
 */
abstract class BaseCrPlanillaConceptoBN
{
  protected $IdConcepto;
  protected $Codigo;
  protected $Tipo;
  protected $Ubicacion;
  protected $PosicionPlanilla;
  protected $Descripcion;
  protected $DescripcionPlanilla;
  protected $DescripcionBoleta;
  protected $Estado;
  protected $Formula;
  protected $Editable;
  protected $FechaCreacion;
  protected $UsuarioCreacion;
  protected $VisualizarPlanilla;
  protected $Mensaje;
  protected $Error;

  public function getIdConcepto(){
    return $this->IdConcepto;
  }
  public function setIdConcepto($v1){
    $this->IdConcepto = $v1; 
  }

  public function getCodigo(){
    return $this->Codigo;
  }
  public function setCodigo($v1){
    $this->Codigo = $v1; 
  }
  
  public function getEditable(){
    return $this->Editable;
  }
  public function setEditable($v1){
    $this->Editable = $v1; 
  }

  public function getTipo(){
    return $this->Tipo;
  }
  public function setTipo($v1){
    $this->Tipo = $v1; 
  }
  
  public function getTipoDato(){
    return $this->TipoDato;
  }
  public function setTipoDato($v1){
    $this->TipoDato = $v1; 
  }

  public function getUbicacion(){
    return $this->Ubicacion;
  }
  public function setUbicacion($v1){
    $this->Ubicacion = $v1; 
  }

  public function getPosicionPlanilla(){
    return $this->PosicionPlanilla;
  }
  public function setPosicionPlanilla($v1){
    $this->PosicionPlanilla = $v1; 
  }

  public function getDescripcion(){
    return $this->Descripcion;
  }
  public function setDescripcion($v1){
    $this->Descripcion = $v1; 
  }

  public function getDescripcionPlanilla(){
    return $this->DescripcionPlanilla;
  }
  public function setDescripcionPlanilla($v1){
    $this->DescripcionPlanilla = $v1; 
  }

  public function getDescripcionBoleta(){
    return $this->DescripcionBoleta;
  }
  public function setDescripcionBoleta($v1){
    $this->DescripcionBoleta = $v1; 
  }

  public function getEstado(){
    return $this->Estado;
  }
  public function setEstado($v1){
    $this->Estado = $v1; 
  }

  public function getFormula(){
    return $this->Formula;
  }
  public function setFormula($v1){
    $this->Formula = $v1; 
  }

  public function getFechaCreacion(){
    return $this->FechaCreacion;
  }
  public function setFechaCreacion($v1){
    $this->FechaCreacion = $v1; 
  }

  public function getUsuarioCreacion(){
    return $this->UsuarioCreacion;
  }
  public function setUsuarioCreacion($v1){
    $this->UsuarioCreacion = $v1; 
  }

  public function getVisualizarPlanilla(){
    return $this->VisualizarPlanilla;
  }
  public function setVisualizarPlanilla($v1){
    $this->VisualizarPlanilla = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Cr_planilla_conceptoBN desde un RecordSet */
  public static function retrieveByRs( $o_Cr_planilla_conceptoRs )
  {
    $o_CrPlanillaConceptoBN = new CrPlanillaConceptoBN();
    $o_CrPlanillaConceptoBN->setIdConcepto( $o_Cr_planilla_conceptoRs['IdConcepto'] );
    $o_CrPlanillaConceptoBN->setCodigo( $o_Cr_planilla_conceptoRs['Codigo'] );
    $o_CrPlanillaConceptoBN->setTipo( $o_Cr_planilla_conceptoRs['Tipo'] );
    $o_CrPlanillaConceptoBN->setUbicacion( $o_Cr_planilla_conceptoRs['Ubicacion'] );
    $o_CrPlanillaConceptoBN->setPosicionPlanilla( $o_Cr_planilla_conceptoRs['PosicionPlanilla'] );
    $o_CrPlanillaConceptoBN->setDescripcion( $o_Cr_planilla_conceptoRs['Descripcion'] );
    $o_CrPlanillaConceptoBN->setDescripcionPlanilla( $o_Cr_planilla_conceptoRs['DescripcionPlanilla'] );
    $o_CrPlanillaConceptoBN->setDescripcionBoleta( $o_Cr_planilla_conceptoRs['DescripcionBoleta'] );
    $o_CrPlanillaConceptoBN->setEstado( $o_Cr_planilla_conceptoRs['Estado'] );
    $o_CrPlanillaConceptoBN->setFormula( $o_Cr_planilla_conceptoRs['Formula'] );
    $o_CrPlanillaConceptoBN->setFechaCreacion( $o_Cr_planilla_conceptoRs['FechaCreacion'] );
    $o_CrPlanillaConceptoBN->setUsuarioCreacion( $o_Cr_planilla_conceptoRs['UsuarioCreacion'] );
    $o_CrPlanillaConceptoBN->setVisualizarPlanilla( $o_Cr_planilla_conceptoRs['VisualizarPlanilla'] );
    return $o_CrPlanillaConceptoBN;
  }
}